%define name ku
%define version 1.1BETA5
%define release 2mdk

Summary: Kill User is a utmp base shell login utility.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Monitoring
Copyright: GPL
Url: http://shell.tfz.net/~issue/ku/
Source: %{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
KU (KillUser) is a utmp based shell admin utility for maintaining shell
logins, based on anything from idle time, tty, user name, user group, 
user GID, if they are telnetted in, and more. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi                  
 
make -j$NRPROC

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install -m 755 source/ku $RPM_BUILD_ROOT/usr/bin
install -m 644 docs/ku.1 $RPM_BUILD_ROOT/usr/man/man1/

%files
%defattr (-,root,root)
%doc COPYING README TODO VERSION CHANGELOG
/usr/bin/ku
/usr/man/man1/*

#%clean
#rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1BETA5-2mdk
- build release

* Tue Mar 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.1BETA5

* Thu Feb 11 1999 Pat Hennessy <path@magpage.com>
  [ku-1.1p2-4-1]
  - Started maintaining package.   
